package com.persagy.apm.energy.report.eer.client;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.energy.report.common.FeignClientNameConstants;
import com.persagy.apm.energy.report.common.FeignConfig;
import com.persagy.apm.energy.report.eer.vo.EnergyEfficiencyDataListVO;
import feign.Headers;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 中间件feign客户端
 **/
@FeignClient(name = FeignClientNameConstants.EER, fallbackFactory = EerClientFallbackFactory.class,
        configuration = FeignConfig.class)
public interface EerClient {
    /**
     * 根据条件查询能效情况
     *
     * @param groupCode 集团编码
     * @param queryEnergyEfficientDataDTO 查询条件
     * @return 平均达标率
     * @author wch
     * @version V1.0 2021/5/19 2:27 下午
     */
    @PostMapping("/Spring/MVC/entrance/unifier/queryProjectTargetDataList")
    @Headers({"Content-Type: application/x-www-form-urlencoded"})
    PoemsFeignResponse<EnergyEfficiencyDataListVO> queryProjectTargetDataList(@RequestHeader String groupCode,
            @RequestParam("jsonString") String queryEnergyEfficientDataDTO);

}
